#!/bin/sh

# This scrip run, when this host became to backup state

startstop ()
{

# (every "_enable=..." string must be finished with "# /script/for/run" comment)
# only /etc/rc.cluster file parse, only ".*/rc.d/" in comments run
# commands arranged line-by-line in /etc/rc.cluster
####
	_CMD=$*
	sed '/^[:space:]*[^#;].*enable.*rc\.d/!d; s/.*#[:space:]*\(.*\)$/\1/' < \
	/etc/rc.cluster | while read i; do [ -x "${i}" ] && ${i} ${_CMD} ; done
}

# In backup state we must umount /space, stop master-state daemons, export /space, run ggatec on master side and sync mirror
# 1. umount /space
####
umount -f /space

# 2. stop master-state daemons
####
startstop stop

# 3. replace configs
####
[ -f /etc/rc.cluster.backup ] && ln -fs /etc/rc.cluster{.backup,} \
	|| (echo "No /etc/rc.cluster.backup present" && exit)

[ -f /usr/local/etc/openldap/slapd.conf.backup ] && ln -fs \
	/usr/local/etc/openldap/slapd.conf{.backup,} \
	|| (echo "No /usr/local/etc/openldap/slapd.conf.backup present" && exit)

# 4. run new backup-state daemons
####
startstop start

# 5. run script on master-side for running ggatec and sync mirror.
# We must say our hostname for ggatec
####
BACKUP_HOSTNAME=`hostname`
ssh clh.cluster "/usr/local/ifstated/bin/ggatec-gmirror.sh ${BACKUP_HOSTNAME}"

echo "backup mode enabled"
