#!/bin/sh

# This scrip run, when this host became to master state

startstop ()
{

# (every "_enable=..." string must be finished with "# /script/for/run" comment)
# only /etc/rc.cluster file parse, only ".*/rc.d/" in comments run
# commands arranged line-by-line in /etc/rc.cluster
####
	_CMD=$*
	sed '/^[:space:]*[^#;].*enable.*rc\.d/!d; s/.*#[:space:]*\(.*\)$/\1/' < \
	/etc/rc.cluster | while read i; do [ -x "${i}" ] && ${i} ${_CMD} ; done
}

# In master state we must stop backup-state daemons, run all daemons, mount /space
# 1. stop backup-state daemons
####
startstop stop

# 2. replace configs
####
[ -f /etc/rc.cluster.master ] && ln -fs /etc/rc.cluster{.master,} \
	|| (echo "No /etc/rc.cluster.master present" && exit)

[ -f /usr/local/etc/openldap/slapd.conf.master ] && ln -fs \
	/usr/local/etc/openldap/slapd.conf{.master,} \
	|| (echo "No /usr/local/etc/openldap/slapd.conf.master present" && exit)

# 3. run daemons
####
startstop start

# 4. mount /space
# - disable ggated (stoped in step 1)
# - enable gmirror
/sbin/gmirror label -s 2048 space ar0s1g

# - mount /space
mount /space

# next part can be run when backup server is started
# run from backup_script.sh from backup host
# - enable ggatec
# - get remote part of mirror
# - sync mirror

echo "master mode enabled"
